# Platforms

## Getting all platforms

This API gives you list of all the platforms supported by TexAu.

## GET /api/v1/public/platforms

>

```json
{"openapi":"3.0.0","info":{"title":"TexAu APIs","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PlatformsDto":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"total":{"type":"number"},"data":{"type":"array","items":{"$ref":"#/components/schemas/PlatformData"}}},"required":["success","message","total","data"]},"PlatformData":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"label":{"type":"string"},"auth":{"$ref":"#/components/schemas/AuthClass"}},"required":["id","name","label","auth"]},"AuthClass":{"type":"object","properties":{"type":{"type":"string"},"isOptional":{"type":"boolean"}},"required":["type","isOptional"]}}},"paths":{"/api/v1/public/platforms":{"get":{"operationId":"ApiController_getPlatforms","parameters":[{"name":"X-TexAu-Context","in":"header","description":"Pass orgUserId and workspaceId as ‘{\"orgUserId\":\"123\",\"workspaceId\":\"123\"}’","required":true,"schema":{"type":"string"}},{"name":"start","required":true,"in":"query","description":"Page","schema":{"minimum":0,"type":"number"}},{"name":"limit","required":true,"in":"query","description":"Size","schema":{"maximum":50,"type":"number"}},{"name":"q","required":false,"in":"query","description":"Search Param","schema":{"type":"string"}},{"name":"type","required":false,"in":"query","description":"Search Type","schema":{"type":"string"}}],"responses":{"200":{"description":"Platforms fetch successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlatformsDto"}}}},"401":{"description":"Unauthorized access"},"403":{"description":"Your plan does not have API access"},"422":{"description":"Requested workspace does not belongs to you"},"500":{"description":"Error in fetching platforms"}},"tags":["API Service"]}}}}
```

## Get platform by ID

This API gives you the list of `authVariables` that will be used in adding a social account.

## GET /api/v1/public/platforms/{platformId}

>

```json
{"openapi":"3.0.0","info":{"title":"TexAu APIs","version":"1.0"},"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PlatformByIdDto":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/PlatformByIdData"}},"required":["success","message","data"]},"PlatformByIdData":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"label":{"type":"string"},"auth":{"$ref":"#/components/schemas/AuthClass"},"authVariables":{"type":"array","items":{"$ref":"#/components/schemas/AuthVariables"}}},"required":["id","name","label","auth","authVariables"]},"AuthClass":{"type":"object","properties":{"type":{"type":"string"},"isOptional":{"type":"boolean"}},"required":["type","isOptional"]},"AuthVariables":{"type":"object","properties":{"id":{"type":"string"},"placement":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"label":{"type":"string"},"name":{"type":"string"}},"required":["id","placement","type","description","label","name"]}}},"paths":{"/api/v1/public/platforms/{platformId}":{"get":{"operationId":"ApiController_getPlatformById","parameters":[{"name":"X-TexAu-Context","in":"header","description":"Pass orgUserId and workspaceId as ‘{\"orgUserId\":\"123\",\"workspaceId\":\"123\"}’","required":true,"schema":{"type":"string"}},{"name":"platformId","required":true,"in":"path","description":"The platform id","schema":{"type":"string"}}],"responses":{"200":{"description":"Platform fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlatformByIdDto"}}}},"401":{"description":"Unauthorized access"},"403":{"description":"Your plan does not have API access"},"404":{"description":"Platform Auth Variables does not exist or selected platform is invalid"},"422":{"description":"Requested workspace does not belongs to you"},"500":{"description":"Error while fetching Platform Auth Variables"}},"tags":["API Service"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://texau.gitbook.io/api-docs/reference/api-reference/platforms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
